Package org.eclipse.ecf.remoteservice.client

# Class RemoteServiceClientRegistration

java.lang.Object
org.eclipse.ecf.remoteservice.client.RemoteServiceClientRegistration

All Implemented Interfaces:
  `IRemoteServiceRegistration`

Direct Known Subclasses:
  `AbstractRestClientContainer.RestRemoteServiceClientRegistration`, `AbstractRSAClientContainer.RSAClientRegistration`

public class RemoteServiceClientRegistration extends Object implements IRemoteServiceRegistration
Registrations for `AbstractClientContainer`.

Since:
  4.0

## Field Summary

Fields
Modifier and Type
Field
Description
`protected IRemoteCallable[][]`
`callables`
`protected static final String`
`CLASS_METHOD_SEPARATOR`
`protected String[]`
`clazzes`
`protected ID`
`containerId`
`protected Dictionary`
`properties`
`protected IRemoteServiceReference`
`reference`
`protected RemoteServiceClientRegistry`
`registry`
`protected IRemoteServiceID`
`serviceID`

## Constructor Summary

Constructors
Constructor
Description
`RemoteServiceClientRegistration(Namespace namespace, String[] classNames, IRemoteCallable[][] restCalls, Dictionary properties, RemoteServiceClientRegistry registry)`
`RemoteServiceClientRegistration(Namespace namespace, IRemoteCallable[] restCalls, Dictionary properties, RemoteServiceClientRegistry registry)`

## Method Summary

Modifier and Type
Method
Description
`protected IRemoteCallable`
`findDefaultRemoteCallable(String methodToFind)`
`protected IRemoteCallable`
`findRemoteCallable(IRemoteCall remoteCall)`
`ClassLoader`
`getClassLoader()`
`String[]`
`getClazzes()`
`ID`
`getContainerID()`
Get the container ID for the registration
`static String`
`getFQMethod(String className, String defMethod)`
`IRemoteServiceID`
`getID()`
Get the remote service ID for this registration.
`Object`
`getProperty(String key)`
Get property associated with given key
`String[]`
`getPropertyKeys()`
Get property keys for registered service
`IRemoteServiceReference`
`getReference()`
Get reference for this registration
`IRemoteCallable`
`lookupCallable(IRemoteCall remoteCall)`
`protected void`
`setClassLoader(ClassLoader cl)`
`void`
`setProperties(Dictionary properties)`
Set the properties for the registered service
`void`
`unregister()`
Unregister this service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CLASS_METHOD_SEPARATOR

protected static final String CLASS_METHOD_SEPARATOR

See Also:
  - Constant Field Values

### clazzes

protected String[] clazzes

### callables

protected IRemoteCallable[][] callables

### reference

protected IRemoteServiceReference reference

### properties

protected Dictionary properties

### containerId

protected ID containerId

### registry

protected RemoteServiceClientRegistry registry

### serviceID

protected IRemoteServiceID serviceID

## Constructor Details

### RemoteServiceClientRegistration

public RemoteServiceClientRegistration(Namespace namespace, String[] classNames, IRemoteCallable[][] restCalls, Dictionary properties, RemoteServiceClientRegistry registry)

### RemoteServiceClientRegistration

public RemoteServiceClientRegistration(Namespace namespace, IRemoteCallable[] restCalls, Dictionary properties, RemoteServiceClientRegistry registry)

## Method Details

### getClazzes

public String[] getClazzes()

### getContainerID

public ID getContainerID()
Description copied from interface: `IRemoteServiceRegistration`
Get the container ID for the registration

Specified by:
  `getContainerID` in interface `IRemoteServiceRegistration`
Returns:
  ID of the local container. Will not be `null` .

### getID

public IRemoteServiceID getID()
Description copied from interface: `IRemoteServiceRegistration`
Get the remote service ID for this registration. Will not return `null`.

Specified by:
  `getID` in interface `IRemoteServiceRegistration`
Returns:
  IRemoteServiceID the id for the remote service associated with this registration.

### getProperty

public Object getProperty(String key)
Description copied from interface: `IRemoteServiceRegistration`
Get property associated with given key

Specified by:
  `getProperty` in interface `IRemoteServiceRegistration`
Parameters:
  `key` - the key of the property. Must not be `null`.
Returns:
  Object the property value. `null` if property not found.

### getPropertyKeys

public String[] getPropertyKeys()
Description copied from interface: `IRemoteServiceRegistration`
Get property keys for registered service

Specified by:
  `getPropertyKeys` in interface `IRemoteServiceRegistration`
Returns:
  String [] with property keys. Will not be null, but may be empty array.

### getReference

public IRemoteServiceReference getReference()
Description copied from interface: `IRemoteServiceRegistration`
Get reference for this registration

Specified by:
  `getReference` in interface `IRemoteServiceRegistration`
Returns:
  IRemoteServiceReference for this registration. Will not be `null`.

### setProperties

public void setProperties(Dictionary properties)
Description copied from interface: `IRemoteServiceRegistration`
Set the properties for the registered service

Specified by:
  `setProperties` in interface `IRemoteServiceRegistration`
Parameters:
  `properties` - to set. Must not be `null`.

### unregister

public void unregister()
Description copied from interface: `IRemoteServiceRegistration`
Unregister this service

Specified by:
  `unregister` in interface `IRemoteServiceRegistration`

### findDefaultRemoteCallable

protected IRemoteCallable findDefaultRemoteCallable(String methodToFind)

### getFQMethod

public static String getFQMethod(String className, String defMethod)

### findRemoteCallable

protected IRemoteCallable findRemoteCallable(IRemoteCall remoteCall)

### lookupCallable

public IRemoteCallable lookupCallable(IRemoteCall remoteCall)

### getClassLoader

public ClassLoader getClassLoader()

Specified by:
  `getClassLoader` in interface `IRemoteServiceRegistration`

### setClassLoader

protected void setClassLoader(ClassLoader cl)

Since:
  8.14